#pragma once
 
#include <core/SWnd.h>

#include "CChart\Chart.h"
using namespace NsCChart;
#pragma comment(lib,"CChart/CChartu.lib")
 
namespace SOUI
{
	class SChartWnd : public SWindow
	{
		SOUI_CLASS_NAME(SChartWnd,L"SChartWnd")
 
	public:
		SChartWnd();
		~SChartWnd();
 
	protected:
//		void OnPaint(IRenderTarget *pRT);
		int OnCreate(LPVOID lpVoid);
		void OnSize(UINT nType, CSize size);

//		virtual UINT OnGetDlgCode(){return (SC_WANTALLKEYS|SC_WANTSYSKEY);}
  
		SOUI_MSG_MAP_BEGIN()
//			MSG_WM_PAINT_EX(OnPaint)
			MSG_WM_CREATE(OnCreate)
			MSG_WM_SIZE(OnSize)
		SOUI_MSG_MAP_END()
 
	private:
		HWND	hChartWnd;
	};
}
